Package opennlp.tools.util.featuregen

# Class WordClusterDictionary.WordClusterDictionarySerializer

java.lang.Object
opennlp.tools.util.featuregen.WordClusterDictionary.WordClusterDictionarySerializer

All Implemented Interfaces:
  `ArtifactSerializer<WordClusterDictionary>`

Enclosing class:
  WordClusterDictionary

public static class WordClusterDictionary.WordClusterDictionarySerializer extends Object implements ArtifactSerializer<WordClusterDictionary>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordClusterDictionarySerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WordClusterDictionary`
  `create(InputStream in)`
  Creates an artifact from the provided `InputStream`.
  `void`
  `serialize(WordClusterDictionary artifact, OutputStream out)`
  Serializes an artifact to the provided `OutputStream`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WordClusterDictionarySerializer

    public WordClusterDictionarySerializer()

- ## Method Details

  - ### create

    public WordClusterDictionary create(InputStream in) throws IOException
    Description copied from interface: `ArtifactSerializer`
    Creates an artifact from the provided `InputStream`.

    Note: The `InputStream` remains open.

    Specified by:
      `create` in interface `ArtifactSerializer<WordClusterDictionary>`
    Parameters:
      `in` - A valid, open `InputStream` ready to read from.
    Returns:
      A valid `artifact`.
    Throws:
      `IOException` - Thrown if IO errors occurred during creation.

  - ### serialize

    public void serialize(WordClusterDictionary artifact, OutputStream out) throws IOException
    Description copied from interface: `ArtifactSerializer`
    Serializes an artifact to the provided `OutputStream`.

    Note: The `OutputStream` remains open.

    Specified by:
      `serialize` in interface `ArtifactSerializer<WordClusterDictionary>`
    Parameters:
      `artifact` - A valid `artifact`.
      `out` - A valid, open `OutputStream` ready to write to.
    Throws:
      `IOException` - Thrown if IO errors occurred during serialization.